<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_14</title>
</head>
<body>
    <h1>Ejercicio 14</h1>
    <script>
    /*14) Programa una función para convertir grados Celsius a Fahrenheit y 
    viceversa, pe. miFuncion(0,"C") devolverá 32°F.*/

    const convertirGrados = (num = undefined, grados = undefined) => {//modificado (grados=undefined)

        if (num === undefined) return console.warn("No se ingreso grados a convertir");
        if (grados === undefined) return console.warn("No se ingreso la unidad a convertir");//modificado (grados === undefined)
        if (typeof num !== "number") 
           return console.warn(`El valor ingresado: ${num} no es un numero`);
        if (typeof grados !== "string") 
           return console.warn(`El valor ingresado: ${grados} no es una cadena de texto`);
        if (grados.length !== 1 || !/(C|F)/.test(grados)) 
           return console.log("Unidad de grados no fue reconocido");// se añadio

        //Se modifico la formula
        if (grados === "C") {
            return console.log(`De ${num}º C a F es igual a: ${Math.round(num * (9/5) + 32)}º F`);
        } else if (grados === "F") {
            return console.log(`De ${num}º F a C es igual a: ${Math.round((num - 32) * (5/9))}º C`);
        }
           
    }

    convertirGrados(0,"F");
    convertirGrados(0,"C")



    </script>
    
</body>
</html>